Skip to content

Call attempt intervals

Method to retrieve detailed information about call attempt intervals in Liner by the attempt group identifier.


URL and method

GET /v2/call-attempt/detail/{id}/

id
Call attempt group identifier in Liner. Value > 0


Request example

curl -X GET "https://YOUR_LINER_API_HOST/v2/call-attempt/detail/{id}/" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: YOUR_API_TOKEN"
<?php

$host = 'https://YOUR_LINER_API_HOST';
$token = 'YOUR_API_TOKEN';
$id = (int)$id;

$ch = curl_init($host . '/v2/call-attempt/detail/' . $id . '/');
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Content-Type: application/json',
        'X-Api-Key: ' . $token,
    ],
    CURLOPT_TIMEOUT => 15,
]);

$response = curl_exec($ch);
$httpCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);

if ($response === false) {
    throw new RuntimeException('cURL error: ' . curl_error($ch));
}

curl_close($ch);

echo "HTTP {$httpCode}\n";
echo $response;
const host = "https://YOUR_LINER_API_HOST";
const token = "YOUR_API_TOKEN";
const id = Number(id);

const res = await fetch(`${host}/v2/call-attempt/detail/${id}/`, {
  method: "GET",
  headers: {
    "Content-Type": "application/json",
    "X-Api-Key": token
  }
});

const data = await res.json();
console.log("HTTP", res.status, data);

Response example

{
  "success": true,
  "message": "",
  "data": {
    "id": 123,
    "title": "Call attempt intervals",
    "intervals": [5, 10],
    "isDefault": false,
    "resetAttemptsEnabled": false
  }
}

Response fields

Field Type Description
id int Call attempt group identifier.
title string Call attempt group title.
intervals array<int> List of intervals between call attempts in minutes.
isDefault bool Whether this interval group is the default one.
resetAttemptsEnabled bool Whether to reset attempts when the customer asks to “call back”.

Note

The structure of the data field is described above. For the general API response format, see Request schema